## sympy 1.12.1

=== debian/changelog ===
sympy (1.12.1-1) unstable; urgency=medium

  * New upstream version 1.12.1
  * refreshed patch fix-1040058.patch

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 02 Jun 2024 19:31:16 +0200

sympy (1.12-8) unstable; urgency=medium

  * dropped the build-dependency on python3-distutils. Closes: #1065968

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 23 May 2024 11:33:55 +0200

## sympy 1.13.1

=== doc/requirements.txt ===
furo
linkify-it-py
matplotlib
matplotlib-inline
mpmath
myst-parser
scipy
Sphinx
sphinx-autobuild
sphinx-copybutton
sphinx-math-dollar
sphinx-reredirects
sphinxcontrib-applehelp
sphinxcontrib-devhelp
sphinxcontrib-htmlhelp
sphinxcontrib-jsmath
sphinxcontrib-jquery
sphinxcontrib-qthelp
sphinxcontrib-serializinghtml

=== debian/changelog ===
sympy (1.13.1-1) unstable; urgency=medium

  * New upstream version 1.13.1
  * refreshed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 25 Jul 2024 14:55:11 +0200

## sympy 1.13.2

=== debian/changelog ===
sympy (1.13.2-1) unstable; urgency=medium

  * New upstream version 1.13.2
  * refreshed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 23 Aug 2024 11:09:23 +0200

## sympy 1.13.3

=== doc/Makefile ===
# Makefile for Sphinx documentation
#
PYTHON       = python
RST2HTML     = rst2html

# You can set these variables from the command line.
SPHINXOPTS   =
SPHINXVER    = 0.5
SPHINXBUILD  = sphinx-build
PAPER        =
BUILDDIR     = _build
SOURCEDIR    = src
LIVEHOST     = localhost
LIVEPORT     = 0

SVGFILES = $(wildcard src/modules/physics/vector/*.svg) $(wildcard src/modules/physics/mechanics/examples/*.svg) $(wildcard src/modules/vector/*.svg)
PDFFILES = $(SVGFILES:%.svg=%.pdf)

# This must be set for the recursive make pdf build to work in make latexpdf
export LATEXMKOPTS = -halt-on-error -xelatex


ALLSPHINXOPTS = -d $(BUILDDIR)/doctrees $(SPHINXOPTS)
WARNINGSFILE = $(BUILDDIR)/.sphinx-warnings
SPHINXSAVEWARNINGS = -w $(WARNINGSFILE)
ALLSPHINXOPTSapi = -d $(BUILDDIR)/doctrees-api $(SPHINXOPTS) api
ALLSPHINXOPTSlatex = -d $(BUILDDIR)/doctrees-latex -D latex_element.papersize=$(PAPER)paper \
                $(SPHINXOPTS) src

.PHONY: changes cheatsheet clean help html _html htmlapi htmlhelp info latex \
        pdflatex latexpdf pdf linkcheck livehtml texinfo web logo man printwarnings

.SUFFIXES: .pdf .svg

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  changes     to make an overview over all changed/added/deprecated items"
	@echo "  cheatsheet  to make the Cheatsheet"
	@echo "  clean       to remove generated files"
	@echo "  html        to make standalone HTML files"
	@echo "  htmlapi     to make HTML API docs"
	@echo "  htmlhelp    to make HTML files and a HTML help project"
	@echo "  info        to make Texinfo files and run them through makeinfo"
	@echo "  latex       to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  linkcheck   to check all external links for integrity"
	@echo "  livehtml    to use livereload to view the built html"
	@echo "  texinfo     to make Texinfo files"
	@echo "  web         to make files usable by Sphinx.web"
	@echo "  logo        generate logos from src/logo/sympy.svg"
	@echo "  man         build manpage"

clean:
	-rm -rf $(BUILDDIR)
	-rm -rf sphinx
	-rm -f $(PDFFILES)

html:
	$(MAKE) -s _html || $(MAKE) -s printwarnings

# Force colors on CI. Set NO_COLOR=1 on the command line to disable this.
_html: export FORCE_COLOR = 1
_html: $(BUILDDIR)/html/pics/*.png
_html: SPHINXOPTS += -W --keep-going
_html: $(BUILDDIR)/logo/sympy-notailtext-favicon.ico
	mkdir -p $(SOURCEDIR)/.static
	mkdir -p $(BUILDDIR)/html
	mkdir -p $(BUILDDIR)/doctrees
	mkdir -p $(SOURCEDIR)/modules
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(SPHINXSAVEWARNINGS) $(SOURCEDIR) $(BUILDDIR)/html
	@echo
	@echo "Docs build finished. The HTML pages are in $(BUILDDIR)/html."

# Print the warnings again at the end of the build, to make them easier to find
printwarnings:
	@printf "\033[0;31mThe docs build failed with the following errors:\033[0m\n"
	@cat $(WARNINGSFILE)
	exit 1

$(BUILDDIR)/html/pics/*.png: $(SOURCEDIR)/pics/*.png
	mkdir -p $(BUILDDIR)/html
	cp -r $(SOURCEDIR)/pics $(BUILDDIR)/html/

htmlapi:
	mkdir -p api/.static
	mkdir -p api/modules
	mkdir -p $(BUILDDIR)/api $(BUILDDIR)/doctreesapi
	rm -f api/modules/sympy*.rst
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTSapi) $(BUILDDIR)/api
	@echo
	@echo "Build finished. The API docs pages are in $(BUILDDIR)/api."

web:
	mkdir -p $(BUILDDIR)/web $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b web $(ALLSPHINXOPTS) $(SOURCEDIR) $(BUILDDIR)/web
	@echo
	@echo "Build finished; now you can run"
	@echo "  python -m sphinx.web $(BUILDDIR)/web"
	@echo "to start the server."

htmlhelp:
	mkdir -p $(BUILDDIR)/htmlhelp $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) %(SOURCEDIR) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

latex:
	mkdir -p $(BUILDDIR)/latex $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTSlatex) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Set the environment variable LATEXMKOPTS='-xelatex -silent'"
	@echo "And run \`make all' in that directory to run these through xelatex."

pdf pdflatex latexpdf: latex
	$(MAKE) -C $(BUILDDIR)/latex

changes:
	mkdir -p $(BUILDDIR)/changes $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(SOURCEDIR) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	mkdir -p $(BUILDDIR)/linkcheck $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(SOURCEDIR) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

livehtml: _html
	sphinx-autobuild --open-browser --watch .. --host $(LIVEHOST) --port $(LIVEPORT) -b html $(ALLSPHINXOPTS) $(SOURCEDIR) $(BUILDDIR)/html

cheatsheet: $(BUILDDIR)/cheatsheet/cheatsheet.pdf $(BUILDDIR)/cheatsheet/combinatoric_cheatsheet.pdf

$(BUILDDIR)/cheatsheet/cheatsheet.pdf: cheatsheet/cheatsheet.tex
	mkdir -p $(BUILDDIR)/cheatsheet
	pdflatex -output-directory=$(BUILDDIR)/cheatsheet cheatsheet/cheatsheet.tex
	pdflatex -output-directory=$(BUILDDIR)/cheatsheet cheatsheet/cheatsheet.tex

$(BUILDDIR)/cheatsheet/combinatoric_cheatsheet.pdf: cheatsheet/combinatoric_cheatsheet.tex
	mkdir -p $(BUILDDIR)/cheatsheet
	pdflatex -output-directory=$(BUILDDIR)/cheatsheet cheatsheet/combinatoric_cheatsheet.tex
	pdflatex -output-directory=$(BUILDDIR)/cheatsheet cheatsheet/combinatoric_cheatsheet.tex

texinfo:
	mkdir -p $(BUILDDIR)/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(SOURCEDIR) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	mkdir -p $(BUILDDIR)/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(SOURCEDIR) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

man: man/isympy.xml
	docbook2x-man --to-stdout $< > man/isympy.1

logo: $(BUILDDIR)/logo/*.png

$(BUILDDIR)/logo/sympy-notailtext-favicon.ico: logo

$(BUILDDIR)/logo/*.png: $(SOURCEDIR)/logo/sympy.svg
	mkdir -p $(BUILDDIR)/logo
	$(PYTHON) ./generate_logos.py -d
	@echo
	@echo "Logo generated."

autobuild:
	sphinx-autobuild $(ALLSPHINXOPTS) $(SPHINXSAVEWARNINGS) $(SOURCEDIR) $(BUILDDIR)/html

=== debian/changelog ===
sympy (1.13.3-2) unstable; urgency=medium

  * Team upload
  * Drop unnecessary Build-Depends: inkscape

  [ Michael R. Crusoe ]
  * Explicitly depend on pytest during the build and the autopkgtests.
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Do not parse d/changelog (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Repository-Browse.
  * docs: link to the other packaged docs.
  * run tests at build time; switch to autopkgtest-pkg-pybuild.

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

 -- Bastian Germann <bage@debian.org>  Mon, 03 Feb 2025 10:03:29 +0100

sympy (1.13.3-1) unstable; urgency=medium

  * New upstream version 1.13.3

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 01 Oct 2024 13:10:01 +0200

=== debian/control ===
Source: sympy
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Georges Khaznadar <georgesk@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-mpmath,
               python3-matplotlib,
               python3-sphinx <!nodoc>,
               python3-sphinxcontrib.jquery <!nodoc>,
               texlive-latex-base,
               texlive-latex-extra,
               librsvg2-bin,
               imagemagick,
               graphviz,
               dvipng,
               faketime,
               python3-sphinx-reredirects <!nodoc>,
               python3-sphinx-copybutton <!nodoc>,
               python3-myst-parser <!nodoc>,
               python3-linkify-it,
               python3-uc-micro,
               furo <!nodoc>,
               sphinx-basic-ng <!nodoc>,
               sphinx-common <!nodoc>,
               python3-pytest <!nocheck>,
               python3-hypothesis <!nocheck>,
               python-matplotlib-doc <!nodoc>,
               python-scipy-doc <!nodoc>,
               python-numpy-doc <!nodoc>,
               python-mpmath-doc <!nodoc>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/sympy
Vcs-Git: https://salsa.debian.org/science-team/sympy.git
Homepage: https://sympy.org/
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: isympy3
Architecture: all
Depends: isympy-common,
         python3-sympy,
         ${python3:Depends},
         ${misc:Depends}
Enhances: ipython3
Provides: isympy
Description: Python3 shell for SymPy
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.
 .
 This package contains a Python 3 shell (IPython shell if you have the
 ipython3 package installed) wrapper for SymPy.

Package: isympy-common
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Recommends: isympy3
Conflicts: isympy (<< 1.0-2)
Description: Python shell for SymPy
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.
 .
 This support package contains the common isympy Python script,
 a wrapper for SymPy which can be invoked with python3.
 .
 Install the isympy3 package to ensure all required dependencies
 are loaded.

Package: python3-sympy
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-mpmath
Recommends: python3-pil,
            python3-numpy,
            isympy-common
Suggests: texlive-fonts-extra,
          dvipng,
          python-sympy-doc
Enhances: isympy3,
          ipython3
Description: Computer Algebra System (CAS) in Python (Python 3)
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.
 .
 This package contains the Python 3 version of sympy.

Package: python-sympy-doc
Architecture: all
Section: doc
Depends: libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: python3-sympy,
          python-matplotlib-doc,
          python-scipy-doc,
          python-numpy-doc,
          python-mpmath-doc
Description: Computer Algebra System (CAS) in Python - Documentation
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.
 .
 This package contains the documentation for sympy Python module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python3=debian/python3-sympy/
export PYBUILD_TEST_ARGS=-k 'not (TestUpdateArgsWithPaths)'

include /usr/share/dpkg/default.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_before_dh_auto_build:
	# build the documentation in HTML format
	faketime '@$(SOURCE_DATE_EPOCH)' \
		sh -c '(cd doc/; export SPHINXOPTS="-j auto"; $(MAKE) html)'

DOCDIR = debian/python-sympy-doc/usr/share/doc/python-sympy-doc
execute_after_dh_auto_install:
	mv debian/python3-sympy/usr/bin/isympy debian/isympy-common/usr/bin/
	mv debian/python3-sympy/usr/share/man/man1/* \
		debian/isympy-common/usr/share/man/man1/
	rm -rf debian/python*-sympy/usr/bin/
	rm -rf debian/python*-sympy/usr/share/man/
	# Get rid of embedded mpmath.  Unfortunately, we
	# can't remove all files with quilt (empty files, for example).
	rm -rf debian/python*-sympy/usr/lib/python*/dist-packages/sympy/mpmath/
	# create the file version.json for the package python-sympy-doc
	install -d $(DOCDIR)
	v=$(DEB_VERSION_UPSTREAM_REVISION); \
	  echo "{\"latest\": \"$$v\", \"dev\": \"$$v\"}" > \
	    $(DOCDIR)/version.json

execute_after_dh_auto_clean:
	cd doc/; $(MAKE) clean;

## sympy 1.14.0

=== doc/Makefile ===
--- 
+++ 
@@ -7,7 +7,8 @@
 SPHINXOPTS   =
 SPHINXVER    = 0.5
 SPHINXBUILD  = sphinx-build
-PAPER        =
+# This one can also be set in the environment
+PAPER        ?= letter
 BUILDDIR     = _build
 SOURCEDIR    = src
 LIVEHOST     = localhost
@@ -16,15 +17,11 @@
 SVGFILES = $(wildcard src/modules/physics/vector/*.svg) $(wildcard src/modules/physics/mechanics/examples/*.svg) $(wildcard src/modules/vector/*.svg)
 PDFFILES = $(SVGFILES:%.svg=%.pdf)
 
-# This must be set for the recursive make pdf build to work in make latexpdf
-export LATEXMKOPTS = -halt-on-error -xelatex
-
-
 ALLSPHINXOPTS = -d $(BUILDDIR)/doctrees $(SPHINXOPTS)
 WARNINGSFILE = $(BUILDDIR)/.sphinx-warnings
 SPHINXSAVEWARNINGS = -w $(WARNINGSFILE)
 ALLSPHINXOPTSapi = -d $(BUILDDIR)/doctrees-api $(SPHINXOPTS) api
-ALLSPHINXOPTSlatex = -d $(BUILDDIR)/doctrees-latex -D latex_element.papersize=$(PAPER)paper \
+ALLSPHINXOPTSlatex = -d $(BUILDDIR)/doctrees-latex -D latex_elements.papersize=$(PAPER)paper \
                 $(SPHINXOPTS) src
 
 .PHONY: changes cheatsheet clean help html _html htmlapi htmlhelp info latex \
@@ -104,16 +101,18 @@
 	@echo "Build finished; now you can run HTML Help Workshop with the" \
 	      ".hhp project file in $(BUILDDIR)/htmlhelp."
 
-latex:
-	mkdir -p $(BUILDDIR)/latex $(BUILDDIR)/doctrees
+latex: logo
+	mkdir -p $(BUILDDIR)/latex $(BUILDDIR)/doctrees-latex
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTSlatex) $(BUILDDIR)/latex
 	@echo
 	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
-	@echo "Set the environment variable LATEXMKOPTS='-xelatex -silent'"
-	@echo "And run \`make all' in that directory to run these through xelatex."
+	@echo "Run \`make all' in that directory to run these through xelatex."
 
 pdf pdflatex latexpdf: latex
-	$(MAKE) -C $(BUILDDIR)/latex
+	@$(MAKE) -C $(BUILDDIR)/latex all-pdf \
+	LATEXOPTS="-halt-on-error -interaction=batchmode" \
+	LATEXMKOPTS="-xelatex" \
+	|| echo "LaTeX error"'!'" Check .log in $(BUILDDIR)/latex for lineno in .tex file."
 
 changes:
 	mkdir -p $(BUILDDIR)/changes $(BUILDDIR)/doctrees

=== debian/changelog ===
sympy (1.14.0-2) unstable; urgency=medium

  * removed d/python6sympy-doc.examples since there is no examples/ dir
  * added a build-dependency on python-is-python3, so doc/Makefile
    can be used without a modification
  * disabled intersphinx features in the documentation

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 14 Aug 2025 14:39:52 +0200

sympy (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0
  * updated debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Jul 2025 13:22:51 +0200

sympy (1.13.3-5) unstable; urgency=medium

  * Team upload.
  * Add missing import pytest.

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Feb 2025 20:10:00 +0100

sympy (1.13.3-4) unstable; urgency=medium

  * Team upload.
  * Skip failing test on ppc64el. Closes: #1098246.
  * Skip failing test on armel. Closes: #1098246.

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Feb 2025 18:45:00 +0100

sympy (1.13.3-3) unstable; urgency=medium

  * Team upload.
  [ Andrey Rakhmatullin ]
  * Fix running autopkgtests (Closes: #1095778).
  * Fix building with the nodoc profile.

 -- Santiago Vila <sanvila@debian.org>  Sun, 16 Feb 2025 19:10:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-sphinxdoc <!nodoc>,
                python3-all,
                python3-setuptools,
                python3-mpmath,
                python3-matplotlib,
                python3-sphinx <!nodoc>,
                python3-sphinxcontrib.jquery <!nodoc>,
+	       python-is-python3,
                texlive-latex-base,
                texlive-latex-extra,
                librsvg2-bin,
@@ -25,7 +27,6 @@
                python3-uc-micro,
                furo <!nodoc>,
                sphinx-basic-ng <!nodoc>,
-               sphinx-common <!nodoc>,
                python3-pytest <!nocheck>,
                python3-hypothesis <!nocheck>,
                python-matplotlib-doc <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_DESTDIR_python3=debian/python3-sympy/
-export PYBUILD_TEST_ARGS=-k 'not (TestUpdateArgsWithPaths)'
+export PYBUILD_TEST_ARGS={dir}/sympy -k 'not (TestUpdateArgsWithPaths)'
 
 include /usr/share/dpkg/default.mk
 
@@ -9,12 +9,14 @@
 #export DH_VERBOSE=1
 
 %:
-	dh  $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh  $@ --with python3 --buildsystem=pybuild
 
 execute_before_dh_auto_build:
+ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
 	# build the documentation in HTML format
 	faketime '@$(SOURCE_DATE_EPOCH)' \
 		sh -c '(cd doc/; export SPHINXOPTS="-j auto"; $(MAKE) html)'
+endif
 
 DOCDIR = debian/python-sympy-doc/usr/share/doc/python-sympy-doc
 execute_after_dh_auto_install:
